; ******************************************************************************************
; working environment for template of custom firmware
; ******************************************************************************************
; Common build settings across this custom device
[env_pl21fgp]
build_flags =
	${env.build_flags}												; include standard build flags
	-DMF_CUSTOMDEVICE_SUPPORT=1										; Required for Custom Devices
	-DMF_CUSTOMDEVICE_HAS_UPDATE									; if the custom device needs to be updated, uncomment this. W/o the following define it will be done each loop()
	;-DMF_CUSTOMDEVICE_POLL_MS=10 									; time in ms between updating custom device, uncomment this if custom device needs to be updated regulary
	-I./src/src/MF_CustomDevice										; don't change this one!
	-I./AREN_PL21FGP												; Include files for your custom device, replace "Template" by your folder name
build_src_filter = 
	+<../AREN_PL21FGP>												; build files for your custom device, replace "Template" by your folder name
lib_deps =															; You can add additional libraries if required
	etlcpp/Embedded Template Library@^20.38.11
custom_core_firmware_version = 2.5.1								; define the version from the core firmware files your build should base on
custom_device_folder = AREN_PL21FGP									; path to your Custom Device Sources, replace "Template" by your folder name
custom_community_project = Arenthil-PL21FGP							; Should match "Project" from section "Community" within the board.json file, it's the name of the ZIP file

[env:mobiflight_pl21fgp_t40]
platform = teensy
board = teensy40
framework = arduino
board_build.f_cpu = 600000000L
build_flags =
	${env_pl21fgp.build_flags}										; don't change this one!
	-I./AREN_PL21FGP/Board_Teensy40									; Include the required board definition. If you need your own definition, adapt this to your path (e.g. -I./CustomDevices/_template/_Boards)
	'-DMOBIFLIGHT_TYPE="aren_pl21fgp_t40"'							; this must match with "MobiFlightType" within the .json file
	'-DMOBIFLIGHT_NAME="Arenthil PL21 Flight Guidance Panel"'		; this will show up as Name in the settings dialog unless it gets change from there
build_src_filter = 
	${env.build_src_filter}											; don't change this one!
	${env_pl21fgp.build_src_filter}									; don't change this one!
lib_deps = 
	${env.lib_deps}													; don't change this one!
	${env.custom_lib_deps_Teensy}									; don't change this one!
	${env_pl21fgp.lib_deps}											; don't change this one!
monitor_speed = 115200												; don't change this one!
extra_scripts = 
	${env.extra_scripts}											; don't change this one!
custom_core_firmware_version = ${env_pl21fgp.custom_core_firmware_version}	; don't change this one!
custom_community_project = ${env_pl21fgp.custom_community_project}			; don't change this one!
custom_device_folder = ${env_pl21fgp.custom_device_folder}					; don't change this one!
